%define modname fabulous

Name:          python-%{modname}
Version:       0.1.5
Release:       %mkrel 6
Summary:       Makes your terminal output totally fabulous

Group:         Development/Python
License:       MIT
URL:           http://pypi.python.org/pypi/%{modname}
Source0:       http://lobstertech.com/media/file/%{modname}/%{modname}-%{version}.tar.gz
Patch0:        0001-Unbundle-fonts.patch

BuildArch:     noarch

BuildRequires: dos2unix
BuildRequires: gcc
BuildRequires: make
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx

Requires:      python-imaging
Requires:      python-grapefruit

%description
fabulous is a python module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ python -m fabulous.demo

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
%{__rm} -f fabulous/fonts/*
%{__rm} fabulous/_xterm256.c
dos2unix README

%build
%{__python} setup.py build 

PYTHONPATH=$(pwd) make -C docs html
%{__rm} -f docs/_build/html/.buildinfo


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README COPYING docs/_build/html
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-*



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.1.5-6.mga6
+ Revision: 946996
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-5.mga5
+ Revision: 750580
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.5-4.mga5
+ Revision: 728470
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-3.mga5
+ Revision: 688027
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 21 2014 philippem <philippem> 0.1.5-1.mga5
+ Revision: 595357
- imported package python-fabulous

